更新 · ステータス — 返品・苦情・交換
申請のステータスを個別または一括で変更します。
PATCH
/api/v1/requests/{request_id}/statuscURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/requests/example/status \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-change_request_status_api_v1_requests__request_id__status_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"status_id":"example"}'
レスポンス
{
"data": {
"deleted": false,
"id": "example",
"version": 1
},
"meta": {
"request_id": "example"
}
}